Package org.apache.sling.sitemap.impl.helper

## Class ChainedIterator<T>

- java.lang.Object
- - org.apache.sling.sitemap.impl.helper.ChainedIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

    public class ChainedIterator<T>
    extends Object
    implements Iterator<T>

### Constructor Summary

Constructors
`ChainedIterator​(Iterable<Iterator<T>> iterators)`
`ChainedIterator​(Iterator<T>... iterators)`
`ChainedIterator​(Iterator<T> iterator1, Iterator<T> iterator2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Constructor Detail

#### ChainedIterator

    public ChainedIterator​(Iterator<T>... iterators)

#### ChainedIterator

    public ChainedIterator​(Iterator<T> iterator1,
                           Iterator<T> iterator2)

#### ChainedIterator

    public ChainedIterator​(Iterable<Iterator<T>> iterators)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`